cme (1.041-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 21:10:00 +0000

cme (1.041-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * dropped pristine-tar
  * package is now build from upstream repo with dist-zilla
  * dh_cme_upgrade: fix non-utf8 char in pod

 -- Dominique Dumont <dod@debian.org>  Sun, 01 Dec 2024 17:39:22 +0100

cme (1.040-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.040.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Jan 2024 18:05:48 +0100

cme (1.039-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.039.

 -- gregor herrmann <gregoa@debian.org>  Fri, 15 Dec 2023 22:36:23 +0100

cme (1.038-2) unstable; urgency=medium

  * Team upload.
  * debian/clean: remove data generated during tests. (Closes: #1043655)
  * Declare compliance with Debian Policy 4.6.2.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Aug 2023 16:02:22 +0200

cme (1.038-1) unstable; urgency=medium

  * New upstream version 1.038
    * run command: fix substitution of variable in commit message

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Mar 2022 19:08:22 +0100

cme (1.037-1) unstable; urgency=medium

  * New upstream version 1.037
    * allow code section in scripts
    * allow 'run' script in YAML or Perl format
  * control: replace libyaml-perl dep with libyaml-pp-perl
  * remove obsolete fix-test patch

 -- Dominique Dumont <dod@debian.org>  Sat, 05 Feb 2022 18:09:31 +0100

cme (1.036-2) unstable; urgency=medium

  * add patch to fix test

 -- Dominique Dumont <dod@debian.org>  Wed, 12 Jan 2022 19:05:47 +0100

cme (1.036-1) unstable; urgency=medium

  * New upstream version 1.036
    * Fix tests broken by Config::Model 2.148
  * control: build dep on libconfig-model-perl (>= 2.148)

 -- Dominique Dumont <dod@debian.org>  Wed, 12 Jan 2022 17:46:00 +0100

cme (1.035-1) unstable; urgency=medium

  * New upstream version 1.035
    * fix run script:
      * --no-commit option is now working
      * do not try to commit when no changes are done
  * updated copyright year of Dominique Dumont

 -- Dominique Dumont <dod@debian.org>  Tue, 11 Jan 2022 12:25:08 +0100

cme (1.034-1) unstable; urgency=medium

  * New upstream version 1.034
    * add use_backend_argument_as_config_file param to app files
  * control: set compat to 13

 -- Dominique Dumont <dod@debian.org>  Sun, 31 Oct 2021 15:44:41 +0100

cme (1.033-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Replace '--with bash{_,-}completion' in debian/rules with a build
    dependency on 'dh-sequence-bash-completion'.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on libconfig-model-perl.
    + cme: Drop versioned constraint on libconfig-model-perl in Replaces.
    + cme: Drop versioned constraint on libconfig-model-perl in Breaks.
    + Remove 1 maintscript entries from 1 files.

  [ Dominique Dumont ]
  * New upstream version 1.033:
    * fix (run command): fix override of --commit option
    * fix force-load doc
    * remove duplicate option definition (which impacts tests)
  * control:
    * remove obsolete dependency constraint
    * add BDI libtest-pod-perl
    * remove libprobe-perl-perl test dependency
  * declare compliance with policy 4.6.0

 -- Dominique Dumont <dod@debian.org>  Mon, 20 Sep 2021 12:42:18 +0200

cme (1.032-1) unstable; urgency=medium

  * New upstream version 1.032
    * cme warnings are now shown with log4perl in blue
      (the shown color depends on Log4Perl configuration)
    * improve update command doc (Thanks Ross Vandegrift)
  * updated copyright year of Dominique Dumont

 -- Dominique Dumont <dod@debian.org>  Sat, 18 Jul 2020 17:19:56 +0200

cme (1.031-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Mention dh-sequence-cme-upgrade in README.Debian.
  * debian/watch: use uscan version 4.
  * Mention dh-sequence-cme-upgrade in POD/manpage.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 12:20:11 +0200

cme (1.031-1) unstable; urgency=medium

  * New upstream version 1.031
    * fix warning about deprecated -root parameter
  * control: declare compliance with policy 4.4.1

 -- Dominique Dumont <dod@debian.org>  Tue, 21 Jan 2020 12:54:55 +0100

cme (1.030-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: add Provides: dh-sequence-cme-upgrade.
    Supported by debhelper since 11.4.

  [ Dominique Dumont ]
  * New upstream version 1.030
    * show more information when running "cme help"
  * use new debhelper-compat dependency
  * control: declare compliance with policy 4.4.0

 -- Dominique Dumont <dod@debian.org>  Fri, 13 Sep 2019 13:16:43 +0200

cme (1.029-1) unstable; urgency=medium

  * New upstream version 1.029
    * fix options displayed by bash completion
  * control: declare compliance with policy 4.2.1
  * refresh force-load-bash-comp-plugins patch
  * add patch to fix cme shebang line

 -- Dominique Dumont <dod@debian.org>  Tue, 28 Aug 2018 12:27:54 +0200

cme (1.028-1) unstable; urgency=medium

  * New upstream version 1.028
    * Improve output of cme:
      * check and modify commands are now silent when no problem is found.
      * run and modify commands show detailed script actions on configuration
        data in verbose mode
      * dump command: indicate -format choices in usage output
      * check command: show progress messages only in verbose mode.
      * fix command: show "running fix" message only in verbose mode
      * common: remove using xxx model message
    * Bash completion fixes:
      * remove obsolete -backend option
      * fix bash completion of run command
    * Other:
      * add bugs section in cme doc
      * improve doc of modify command
      * run: allow untracked files when committing
      * cme: Simplify verbose option
  * control: depends on libconfig-model-perl >= 2.124
  * declare conformance with Policy 4.1.4 (no changes needed)

 -- Dominique Dumont <dod@debian.org>  Tue, 26 Jun 2018 13:53:10 +0200

cme (1.027-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare compliance with Policy 4.1.3 (no changes needed)

  [ Dominique Dumont ]
  * control: update Vcs-Browser and Vcs-Git with salsa url
  * control: update copyright year
  * New upstream version 1.027.
    * Improve cme run script:
      * add error message when application param is missing
      * add syntax for multi-line instructions
      * fix error message when run is called without argument
    * Using cme option '-file' with value '-' is deprecated

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

 -- Dominique Dumont <dod@debian.org>  Mon, 16 Apr 2018 13:40:11 +0200

cme (1.026-1) unstable; urgency=medium

  * New upstream version 1.026
    * By default, Shellvar backend from Config::Model 2.116 keeps
      parameter order when writing back configuration data.
    * add -canonical option to let data be written back according to model
      order (i.e. the previous behavior of shellvar backend)
    * cme: remove obsolete -backend option
  * control: depends on libconfig-model-perl >= 2.116

 -- Dominique Dumont <dod@debian.org>  Tue, 19 Dec 2017 13:21:45 +0100

cme (1.024-1) unstable; urgency=medium

  * New upstream version 1.024
    * add --no-commit option (Closes: #877986)
    * add --commit option
    * can now specify default value for script args
    * run: remove warning about Log4Perl initialisation
    * run: fix option description
    * cme: update Log4Perl init in doc
  * control: declare compliance with policy 4.1.1

 -- Dominique Dumont <dod@debian.org>  Wed, 25 Oct 2017 13:25:58 +0200

cme (1.023-1) unstable; urgency=medium

  * New upstream version 1.023
    * add missing backup option to read/write commands (like cme edit,
      fix, modify ...)
    * die if both require_config_file and require_backend_argument are set
      in app file (in Config/Model/[system|user|application].d)

 -- Dominique Dumont <dod@debian.org>  Mon, 18 Sep 2017 19:59:14 +0200

cme (1.022-1) unstable; urgency=medium

  * New upstream version 1.022
    * remove deprecated arg '~~' from doc
  * refreshed add_dh_config patch
  * control: Declare compliance with policy 4.0.0

 -- Dominique Dumont <dod@debian.org>  Fri, 23 Jun 2017 20:27:51 +0200

cme (1.020-1) experimental; urgency=medium

  * New upstream version 1.020
    * allow backend_argument (used by systemd)
    * warn about nknown options
    * cme run: fix bash_completion of -doc option
    * all: fix bash completion of -file option
    * all: remove -dev option which raises security issues. Use
      'perl -Ilib -S cme' for the same effect
  * control: depends on libconfig-model-perl >= 2.103
  * control: add dep on liblog4perl-perl

 -- Dominique Dumont <dod@debian.org>  Mon, 05 Jun 2017 20:37:27 +0200

cme (1.019-2) experimental; urgency=medium

  * control: depends on libconfig-model-perl >= 2.101

 -- Dominique Dumont <dod@debian.org>  Sat, 06 May 2017 21:24:17 +0200

cme (1.019-1) experimental; urgency=medium

  * New upstream version 1.019
    * run: allow one to use command args in "var:" lines
    * cme: add '-verbose [ info | debug | trace ]' option to
      get debug logs

 -- Dominique Dumont <dod@debian.org>  Sat, 06 May 2017 12:39:28 +0200

cme (1.018-1) experimental; urgency=medium

  * New upstream version 1.018
    * improve 'cme run' command to make it more useful
      * add -list option
      * can compute script variables (var: section)
      * can use environment variables
      * add possibility for scritps to provide their own doc
        displayed with 'cme run xxx -doc'
      * die when if a script variable is not defined
      * look for system scripts in /usr/share/
      * add bash completion for cme run command
    * save option can now be used with all subcommand

 -- Dominique Dumont <dod@debian.org>  Sun, 09 Apr 2017 18:06:09 +0200

cme (1.017-1) experimental; urgency=medium

  * New upstream version 1.017
    + new cme run sub-command to run small configuration scripts
  * updated copyright years
  * refreshed add_dh_config patch

 -- Dominique Dumont <dod@debian.org>  Fri, 10 Mar 2017 13:24:54 +0100

cme (1.016-2) unstable; urgency=medium

  * fix dh_cme_upgrade insertion. (see #851579)

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Jan 2017 12:04:45 +0100

cme (1.016-1) unstable; urgency=medium

  * New upstream version 1.016
    * check command: propagate -force option to skip load check
    * dump command must always be in quiet mode

 -- Dominique Dumont <dod@debian.org>  Tue, 13 Dec 2016 18:35:30 +0100

cme (1.015-1) unstable; urgency=medium

  * New upstream version 1.015
    * cme: support utf8 in command args (Closes: #839593)

 -- Dominique Dumont <dod@debian.org>  Mon, 17 Oct 2016 14:00:20 +0200

cme (1.014-1) unstable; urgency=medium

  * New upstream version 1.014
    * run deep_check when running commands check, edit,
      modify, shell
    * improved error msg for unknown app (Closes: #836794)
    * cme: fix -strack-trace option
  * control: updated dep libconfig-model-perl >= 2.089

 -- Dominique Dumont <dod@debian.org>  Wed, 28 Sep 2016 11:14:18 +0200

cme (1.013-2) unstable; urgency=medium

  * fix ref to dh_installdebconf in dh script (Closes: #831772)
    Thanks to Chris Lamb for the patch

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Jul 2016 20:41:18 +0200

cme (1.013-1) unstable; urgency=medium

  * Imported Upstream version 1.013
    * clarify doc of -strict option (cme check)
    * fix typo in pod doc (tx Thomas Schmitt)
    * suggest 'cme fix' when 'cme check' finds warnings
  * add CONTRIBUTE.md in /usr/share/doc/cme

 -- Dominique Dumont <dod@debian.org>  Tue, 12 Jul 2016 13:03:57 +0200

cme (1.012-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ Dominique Dumont ]
  * Imported Upstream version 1.012
  * control: recommends libconfig-model-systemd-perl
  * control: description mentions systemd config editor

 -- Dominique Dumont <dod@debian.org>  Mon, 30 May 2016 13:32:26 +0200

cme (1.011-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Dominique Dumont ]
  * Imported Upstream version 1.011:
    * dump command can dump any config file(s) in YAML, JSON
      or Perl format
  * control:
    * Standards-Version: '3.9.6' -> '3.9.8'
    + dep on libjson-perl and libyaml-perl

 -- Dominique Dumont <dod@debian.org>  Fri, 22 Apr 2016 13:01:59 +0200

cme (1.010-1) unstable; urgency=medium

  * Imported Upstream version 1.010
    * cme list: fix -dev option option (Closes: #813188)
  * copyright: updated years
  * control: depends on Config::Model 2.077

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Jan 2016 18:58:12 +0100

cme (1.009-1) unstable; urgency=medium

  * Imported Upstream version 1.009
    * remove warning about missing config file. It's better to
      let the read/write backend handle bogus config file
    * update command: improved messages shown to user
    * list command: now work with -dev option
  * new patch to force load cme bash completion snippets

 -- Dominique Dumont <dod@debian.org>  Sun, 03 Jan 2016 15:27:18 +0100

cme (1.008-1) unstable; urgency=medium

  * rm obsolete bash completion conffile (Closes: #804113)
  * Imported Upstream version 1.008:
    * fix -save option with modify command
    * fix -try-app-as-model option

 -- Dominique Dumont <dod@debian.org>  Sat, 14 Nov 2015 19:10:01 +0100

cme (1.007-1) unstable; urgency=medium

  * Imported Upstream version 1.007
    * cme: added -file option to replace '~~' argument
    * bash_completion: added update sub command

 -- Dominique Dumont <dod@debian.org>  Wed, 28 Oct 2015 14:47:18 +0100

cme (1.006-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update debian/upstream/metadata from META.yml using "dpt
    debian-upstream". Issues reported by DUCK.
  * Move libmodule-build-perl from Build-Depends-Indep to Build-Depends as
    it's used in the clean target.

  [ Dominique Dumont ]
  * Imported Upstream version 1.006:
    * Doc and online help improvements

 -- Dominique Dumont <dod@debian.org>  Wed, 22 Jul 2015 12:26:19 +0200

cme (1.005-3) unstable; urgency=medium

  * control: added BDI on libmodule-build-perl for perl 5.22

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Jun 2015 07:55:31 +0200

cme (1.005-2) unstable; urgency=medium

  * added dh_cme_upgrade (moved from libconfig-model-perl)
  * control:
    * breaks and replaces libconfig-model-perl << 2.071-2~
    * depends on libconfig-model-perl >=2.071-2~

 -- Dominique Dumont <dod@debian.org>  Fri, 29 May 2015 19:27:07 +0200

cme (1.005-1) unstable; urgency=medium

  * Imported Upstream version 1.005:
    * all: add a warning if conf file is not found (may mean a
      missing ~~ argument). (I'd welcome ideas on how to replace this
      iffy ~~ argument)
    * dump command:
      + added possibility to select a node to dump
      * fixed -dumptype which is not mandatory
    * test can run with local cme or system cme to fix Debian continuous
      integrations tests

 -- Dominique Dumont <dod@debian.org>  Tue, 26 May 2015 12:55:18 +0200

cme (1.003-1) unstable; urgency=medium

  * Imported Upstream version 1.003
  * control: depends on libconfig-model-perl 2.068

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2015 15:17:31 +0200

cme (1.002-1) experimental; urgency=medium

  * Imported Upstream version 1.002:
    * gen-class-pod: fix doc and missing command arguments
    * update subcommand:
      + added -edit option to run editor after an update
  * copyright: updated years and emails

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Feb 2015 16:10:40 +0100

cme (1.001-2) experimental; urgency=medium

  * copyright: set to licenses to LGPL-2.1 to match upstream

 -- Dominique Dumont <dod@debian.org>  Sat, 20 Dec 2014 14:16:47 +0100

cme (1.001-1) experimental; urgency=low

  * Initial Release (Closes: #771565).

 -- Dominique Dumont <dod@debian.org>  Mon, 01 Dec 2014 17:34:48 +0100
